ServerEvents.recipes(event => {
    event.shaped(
  Item.of('mm:witch_water', 1),
  [
    'ABA',
    'CDE', 
    'AFA'
  ],
  {
    A: 'kubejs:violet',
    B: 'minecraft:mycelium',
    C: 'minecraft:brown_mushroom',
    D: 'exdeorum:stone_barrel',
    E: 'minecraft:red_mushroom',
    F: 'exdeorum:witch_water_bucket'
  })
  event.shaped(
  Item.of('mm:energy_witch_water_input', 1),
  [
    'ABA',
    'CDC', 
    'AEA'
  ],
  {
    A: 'kubejs:violet',
    B: 'exdeorum:netherite_hammer',
    C: 'mekanism:ultimate_control_circuit',
    D: 'mekanism:basic_energy_cube',
    E: 'mekanism:ultimate_universal_cable'
  })
  event.shaped(
  Item.of('mm:fluid_witch_water_input', 1),
  [
    'ABA',
    'CDC', 
    'AEA'
  ],
  {
    A: 'kubejs:violet',
    B: 'exdeorum:netherite_hammer',
    C: 'mekanism:ultimate_control_circuit',
    D: 'mekanism:electric_pump',
    E: 'mekanism:ultimate_mechanical_pipe'
  })
  event.shaped(
  Item.of('mm:fluid_witch_water_output', 1),
  [
    'AEA',
    'CDC', 
    'ABA'
  ],
  {
    A: 'kubejs:violet',
    B: 'exdeorum:netherite_hammer',
    C: 'mekanism:ultimate_control_circuit',
    D: 'mekanism:electric_pump',
    E: 'mekanism:ultimate_mechanical_pipe'
  })
  event.shaped(
  Item.of('mm:item_witch_water_input', 1),
  [
    'ABA',
    'CDC', 
    'AEA'
  ],
  {
    A: 'kubejs:violet',
    B: 'exdeorum:netherite_hammer',
    C: 'mekanism:ultimate_control_circuit',
    D: 'minecraft:hopper',
    E: 'mekanism:ultimate_logistical_transporter'
  })
})

